package com.pcloud.book.group.vo;

import com.pcloud.common.dto.BaseDto;
import com.pcloud.contentcenter.resource.dto.ResourceOfficeItemDTO;
import com.pcloud.contentcenter.resource.dto.ResourcePdfItemDTO;

import java.math.BigDecimal;
import java.util.List;

import lombok.Data;

/**
 * @ClassName com.pcloud.book.group.vo.ResourcePageItemResourceVO
 * @Author zhuyajie
 * @Description
 * @Date 2022/3/16 13:33
 **/
@Data
public class ResourcePageItemResourceVO extends BaseDto {

    private Long id;
    private Long resourcePageId;

    private Long resourcePageColumnId;
    /**
     * 资源id
     */
    private Long serveId;
    /**
     * 资源类型
     */
    private String serveType;
    /**
     * 链接url
     */
    private String linkUrl;
    /**
     * 资源类型
     */
    private String typeCode;

    private String selfBigPic;

    private String selfSmallPic;

    private String selfServeName;

    private Long sceneId;

    private String typeName;
    private String resourceName;
    private String fileUrl;
    private Long fileSize;
    private String fileType;
    private String fileCategory;
    private String fileId;
    private BigDecimal duration;
    private Integer convertState;
    private List<ResourcePdfItemDTO> resourcePdfItems;
    private List<ResourceOfficeItemDTO> resourceOfficeItemDTOs;
}
